Name: 915resolution
Version: 0.5.2
Release: 5%{?dist}
License: GPL
Group: Applications/System
Source: http://www.geocities.com/stomljen/%{name}-%{version}.tar.gz
Source1: 915resolution.rc
Source2: 915resolution.sysconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: A program to change the resolution of an available vbios mode.
Prereq: /sbin/chkconfig, /bin/bash
# This chipset is integral to the processor, and hence won't build
# on any other architecture, not even x86_64 or emt64/ia64.
ExclusiveArch: %{ix86}

%description
It patches only the RAM version of the video bios so the new resolution
is lost each time you reboot. If you want to set the resolution each
time you reboot and before launching X, use your rc.local, local.start ...
file of your Linux version.

915resolution supports the 845G, 855GM, 865G, 915G, 915GM, 945G, and 945GM
chipsets.

%prep
%setup -q
rm -f 915resolution 915resolution.o

%build
make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

install -c -p 915resolution %{buildroot}%{_sbindir}
install -c -p %{SOURCE1} %{buildroot}%{_initrddir}/915resolution
install -c -p %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/915resolution

%clean
rm -rf %{buildroot}

%files
%defattr(0755,root,root,-)
%{_sbindir}/915resolution
%{_initrddir}/915resolution
%defattr(0444,root,root,-)
%config(noreplace) %{_sysconfdir}/sysconfig/915resolution
%doc changes.log
%doc chipset_info.txt
%doc LICENSE.txt
%doc README.txt
%defattr(0755,root,root,-)
%doc dump_bios

%post
/sbin/chkconfig --add 915resolution

%preun
/sbin/chkconfig --del 915resolution

%changelog

* Wed Jul 26 2006 Philip Prindeville <philipp@redfish-solutions.com>
- Changed rc.d script and sysconfig files so that they are prefixed
  with 915resolution. instead of suffixed with .915resolution.  This
  makes doing an "ls" in the SOURCES/ directory group the files
  together, and makes it easier to "rm" all the related files if
  cleaning up.

* Wed Jul 19 2006 Philip Prindeville <philipp@redfish-solutions.com>
- Modified rc.d script to use success/failure functions.

* Mon Jul 10 2006 Philip Prindeville <philipp@redfish-solutions.com>
- Moved rc.d and sysconfig files into SOURCES directory and out of
  tarball as per Axel's suggestion (requirements, advice, whatever).

* Fri Jun 23 2006 Philip Prindeville <philipp@redfish-solutions.com>
- Added initfile support

* Thu Jun 22 2006 Philip Prindeville <philipp@redfish-solutions.com>
- Initial version.

